local RestoreSound = function() SetCVar('Sound_EnableSFX', '1') end
hooksecurefunc('LFGDungeonReadyStatus_ResetReadyStates', function()
    if GetCVar('Sound_EnableSFX') == '1' then
        SetCVar('Sound_EnableSFX', '0')
        C_Timer.After(0, RestoreSound)
    end
end)



local queueAlarm = CreateFrame("Frame")
queueAlarm:SetScript("OnEvent",function(self,event)
  if event=="LFG_PROPOSAL_SHOW" or GetBattlefieldStatus(1)=="confirm" then
    print("|cFFFFFF00Queue Popped!!!")
    print("|cFF00FF00Queue Popped!!!")
    print("|cFFFF0000Queue Popped!!!")
  end
end)
queueAlarm:RegisterEvent("LFG_PROPOSAL_SHOW")
queueAlarm:RegisterEvent("UPDATE_BATTLEFIELD_STATUS")




local lastbgs = {};

function QueuePoped_OnLoad()
  QueuePopedFrame:RegisterEvent("LFG_PROPOSAL_SHOW");
  QueuePopedFrame:RegisterEvent("UPDATE_BATTLEFIELD_STATUS");
  QueuePopedFrame:RegisterEvent("BATTLEFIELD_MGR_ENTRY_INVITE");
end

function QueuePoped_PlaySound(which) 
	PlaySoundFile(which,"Master");
end

function QueuePoped_OnEvent(self, event, ...)
 
  if(event == "LFG_PROPOSAL_SHOW") then
	QueuePoped_PlaySound("Interface\\AddOns\\QueuePoped\\put_that_cookie_down.mp3" , "Master");
   

  elseif(event == "BATTLEFIELD_MGR_ENTRY_INVITE") then
	QueuePoped_PlaySound("Interface\\AddOns\\QueuePoped\\chopper.mp3" , "Master");
  
  elseif(event == "UPDATE_BATTLEFIELD_STATUS") then
	for i=1, 2 do
		queueStatus, queueMapName, queueInstanceID = GetBattlefieldStatus(i);
		if ( queueStatus == "confirm" ) then
			if(lastbgs[queueMapName] and time()-lastbgs[queueMapName] <90) then
				return;
			else
				lastbgs[queueMapName] = time();
				QueuePoped_PlaySound("Interface\\AddOns\\QueuePoped\\chopper.mp3" , "Master");
				return;
			end
		end
	end
  end
 
end